### php.java.script

# Interface IPhpScriptContext

All Superinterfaces:
  Invocable

Known Implementing Classes:
  PhpFacesScriptContext, PhpScriptContext, PhpSimpleHttpScriptContext

`public interface IPhpScriptContext`
`extends Invocable`

Common methods for all PHP ScriptContexts

Author:
  jostb

## Method Summary

`ContextFactory`

`getContextManager()`
  Returns the ContextFactory.

`java.util.Map`

`getEnvironment()`
  Returns the script environment.

`java.io.Writer`

`getWriter()`
  Returns the Writer

`void`

`setContinuation(HttpProxy kont)`
  Set the php continuation

### Methods inherited from interface php.java.bridge.Invocable

`call`

## Method Details

### getContextManager

    public ContextFactory getContextManager()

> Returns the ContextFactory.

> Returns:
>   the context manager

### getEnvironment

    public java.util.Map getEnvironment()

> Returns the script environment.

> Returns:
>   the environment

### getWriter

    public java.io.Writer getWriter()

> Returns the Writer

> Returns:
>   The writer

### setContinuation

    public void setContinuation(HttpProxy kont)

> Set the php continuation

> Parameters:
>   `kont` - The continuation.